<script setup lang="ts">
import { ref } from "vue";
import ProductView from "./ProductView.vue";


function updateClock() {
  var now = new Date();
  var hours = now.getHours();
  var minutes = now.getMinutes();
  var seconds = now.getSeconds();

  if (hours < 10) {
    hours = "0" + hours;
  }

  if (minutes < 10) {
    minutes = "0" + minutes;
  }

  if (seconds < 10) {
    seconds = "0" + seconds;
  }

  var time = hours + ":" + minutes + ":" + seconds;
  document.getElementById("clock").innerHTML = time;
}

setInterval(updateClock, 1000);
</script>
<template>
  <v-col col="6">
    <v-app-bar color="brown">
      <v-app-bar-nav-icon variant="text">
      </v-app-bar-nav-icon>
      <v-toolbar-title>D-Coffee</v-toolbar-title>
      <v-toolbar-title></v-toolbar-title>
      <v-toolbar-title></v-toolbar-title>

      <v-toolbar-title>Point Of Sell</v-toolbar-title>
      <v-toolbar-title></v-toolbar-title>
      <v-toolbar-title></v-toolbar-title>
      <v-toolbar-title>
        <p id="clock"></p>
      </v-toolbar-title>
      <v-avatar>
        <v-img
          src="https://media.discordapp.net/attachments/1047172035819864104/1062663634855145502/IMG_4247_Original.jpeg?width=1248&height=936"
          alt="John"
        ></v-img>
      </v-avatar>
      <v-toolbar-title>Jordan Carter</v-toolbar-title>
    </v-app-bar>
  </v-col>
  <v-app>
    <v-row>
      <v-col>
        <v-main class="mx-auto">
          <v-container>
            <v-row>
              <v-col col="6" justify="start">
                <v-card>
                  <v-table style="width: 100%; height: 300px">
                    <tbody>
                      <ProductView/>
                    </tbody>
                  </v-table>
                  <v-table style="width: 100%; height: 100px">
                    <v-text-field hide-details single-line
                      >เบอร์โทรศัพท์</v-text-field
                    >

                    <v-btn color="brown" style="margin: 5px">ค้นหา</v-btn>

                    <v-btn color="brown">สมัครสมาชิก</v-btn>
                  </v-table>

                  <v-card width="100%">
                    <v-card-text> ยอดก่อนหักส่วนลด 00.00 บาท</v-card-text>
                    <v-card-text> ส่วนลดสมาชิก 00.00 บาท</v-card-text>
                    <v-card-text>
                      <h2 style="color: firebrick">ยอดรวม: 00.00 บาท</h2>
                    </v-card-text>
                    <v-card-text> เงินที่ได้รับ: 00.00 บาท</v-card-text>
                    <v-card-text> เงินทอน: 00.00 บาท</v-card-text>
                  </v-card>
                  <v-card width="100%" height="100">
                    <v-table>
                      <tr>
                        <v-btn color="brown" style="margin: 5px">เงินสด</v-btn>
                        <v-btn color="brown" style="margin: 5px"
                          >พร้อมเพย์</v-btn
                        >
                        <v-btn color="brown" style="margin: 5px">เครดิต</v-btn>
                      </tr>
                      <tr>
                        <td>
                          <v-btn color="brown" style="margin: 5px"
                            >พิมพ์ใบเสร็จ</v-btn
                          >
                          <v-btn color="brown" style="margin: 5px"
                            >ยกเลิกใบเสร็จ</v-btn
                          >
                        </td>
                      </tr>
                    </v-table>
                  </v-card>
                </v-card>
              </v-col>
              <v-col col="6" justify="end">
                <v-card>
                  <v-card>
                    <v-tabs bg-color="brown">
                      <v-tab>เครื่องดื่ม</v-tab>
                    </v-tabs>
                  </v-card>
                  <v-table max-width="auto" height="712">
                    <thead>
                      <tr>
                        <td>ร้อน</td>
                        <td>เย็น</td>
                        <td>ปั่น</td>
                      </tr>
                      <tr>
                        <td>
                          <v-img
                            src="https://da.lnwfile.com/213ep7.jpg"
                            alt="da.lnwfile.com/213ep7"
                          ></v-img>
                        </td>
                        <td>
                          <v-img
                            src="https://da.lnwfile.com/213ep7.jpg"
                            alt="da.lnwfile.com/213ep7"
                          ></v-img>
                        </td>
                        <td>
                          <v-img
                            src="https://da.lnwfile.com/213ep7.jpg"
                            alt="da.lnwfile.com/213ep7"
                          ></v-img>
                        </td>
                      </tr>
                      <tr>
                        <td>ราคา</td>
                        <td>ราคา</td>
                        <td>ราคา</td>
                      </tr>
                      <tr>
                        <td>
                          <v-img
                            src="https://da.lnwfile.com/213ep7.jpg"
                            alt="da.lnwfile.com/213ep7"
                          ></v-img>
                        </td>
                        <td>
                          <v-img
                            src="https://da.lnwfile.com/213ep7.jpg"
                            alt="da.lnwfile.com/213ep7"
                          ></v-img>
                        </td>
                        <td>
                          <v-img
                            src="https://da.lnwfile.com/213ep7.jpg"
                            alt="da.lnwfile.com/213ep7"
                          ></v-img>
                        </td>
                      </tr>
                      <tr>
                        <td>ราคา</td>
                        <td>ราคา</td>
                        <td>ราคา</td>
                      </tr>
                      <tr>
                        <td>
                          <v-img
                            src="https://da.lnwfile.com/213ep7.jpg"
                            alt="da.lnwfile.com/213ep7"
                          ></v-img>
                        </td>
                        <td>
                          <v-img
                            src="https://da.lnwfile.com/213ep7.jpg"
                            alt="da.lnwfile.com/213ep7"
                          ></v-img>
                        </td>
                        <td>
                          <v-img
                            src="https://da.lnwfile.com/213ep7.jpg"
                            alt="da.lnwfile.com/213ep7"
                          ></v-img>
                        </td>
                      </tr>
                      <tr>
                        <td>ราคา</td>
                        <td>ราคา</td>
                        <td>ราคา</td>
                      </tr>
                      <tr>
                        <td>
                          <v-img
                            src="https://da.lnwfile.com/213ep7.jpg"
                            alt="da.lnwfile.com/213ep7"
                          ></v-img>
                        </td>
                        <td>
                          <v-img
                            src="https://da.lnwfile.com/213ep7.jpg"
                            alt="da.lnwfile.com/213ep7"
                          ></v-img>
                        </td>
                        <td>
                          <v-img
                            src="https://da.lnwfile.com/213ep7.jpg"
                            alt="da.lnwfile.com/213ep7"
                          ></v-img>
                        </td>
                      </tr>
                      <tr>
                        <td>ราคา</td>
                        <td>ราคา</td>
                        <td>ราคา</td>
                      </tr>
                    </thead>
                  </v-table>
                </v-card>
              </v-col>
            </v-row>
          </v-container>
        </v-main>
      </v-col>
    </v-row>
  </v-app>
</template>

<style scoped></style>
